package com.pack.modeler.repository;

import com.pack.modeler.model.DiagramData;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface DiagramDataRepo extends JpaRepository<DiagramData, Long> {
    DiagramData findOneByToken(String entry);
    DiagramData findOneByTokenAndLink(String token, String link);
    List<DiagramData> findAllByToken(String entry);
}
